Cicle API
Cicle
App
Contact
  1. Card Discussions
  • Getting Started
    • Introduction
    • Authentication
    • Managing API Keys
    • Rate Limiting
    • Error Codes
  • Companies
    • Overview
    • Get Companies
  • Teams
    • Overview
    • Get Current Teams
  • Boards
    • Overview
    • Get Board with Lists and Cards
    • Get Board with Lists
  • Lists
    • Overview
    • Get All Lists by Company and Team
  • Cards
    • Overview
    • Managing Cards
    • Labels And Members
    • Checklists
    • Comments And Discussions
    • Card Members
      • Toggle Multiple Members
    • Card Labels
      • Toggle Multiple Labels
    • Card Cheers
      • Create Cheer on Card
      • Delete Cheer from Card
    • Card Comments
      • Create Comment
      • Get Card Comments
      • Update Comment on Card
      • Delete Comment from Card
    • Comment Cheers
      • Create Cheer on Comment
      • Delete Cheer from Comment
    • Card Discussions
      • Create Discussion on Comment
        POST
      • Update Discussion
        PATCH
      • Delete Discussion
        DELETE
    • Discussion Cheers
      • Create Cheer on Discussion
      • Delete Cheer from Discussion
    • Card Attachments
      • Delete Attachment from Card
      • Update Attachment Name on Card
    • Checklists
      • Checklist Items
        • Checklist Item Attachments
          • Delete Attachment from Checklist Item
          • Update Attachment Name on Checklist Item
        • Get Checklist Items
        • Create Checklist Item
        • Get Checklist Item by ID
        • Update Checklist Item Name
        • Update Checklist Item Date
        • Toggle Checklist Item Complete Status
        • Reorder Checklist Item
        • Toggle Members on Checklist Item
        • Copy Checklist Item
        • Delete Checklist Item
      • Get Checklists
      • Create Checklist
      • Update Checklist Name
      • Reorder Checklist Position
      • Copy Checklist
      • Delete Checklist
    • Card Metadata
      • Get Card Company and Team
    • Create Card
      POST
    • Copy Card
      POST
    • Archive Cards
      PATCH
    • Archive Cards Multi Team
      PATCH
    • Copy Cards Multi Team
      PATCH
    • Move Cards Multi Team
      PATCH
    • Update Cards Multi Team
      PATCH
    • Reorder Card Position
      PATCH
    • Update Card
      PATCH
    • Archive Card
      PATCH
    • Unarchive Card
      PATCH
    • Get Card Details
      GET
    • Get List Card
      GET
  • My Tasks
    • List All My Tasks
    • List All My Tasks In List
  • Schemas
    • Card
      • Card
      • Checklist
      • Discussion
      • Checklist Item
      • Attachment
      • Cheer
      • Comment
      • Label
      • List
      • Company
      • Team
  1. Card Discussions

Delete Discussion

DELETE
https://primaryapi.cicle.app/api/v1/cards/:cardId/comments/:commentId/discussions/:discussionId
Last modified:2026-07-02 07:23:00
Maintainer:Putu Aditya
Delete a discussion thread from a comment. This will also remove all associated cheers.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Query Params

Responses

🟢200Success
application/json
Discussion deleted successfully
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request DELETE 'https://primaryapi.cicle.app/api/v1/cards//comments//discussions/?companyId=&teamId=' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "message": "string",
    "discussion": {
        "_id": "string",
        "content": "string",
        "creator": {
            "_id": "string",
            "fullName": "string",
            "photoUrl": "string"
        },
        "cheers": [
            {
                "_id": "string",
                "content": "string",
                "creator": {
                    "_id": "string",
                    "photoUrl": "string"
                },
                "receiver": "string",
                "primaryParent": {
                    "id": "string",
                    "type": "string"
                },
                "secondaryParent": {
                    "id": "string",
                    "type": "string"
                },
                "isNotified": true,
                "comment": "string",
                "card": "string",
                "featureType": "string",
                "company": "string",
                "team": "string",
                "createdAt": "string",
                "updatedAt": "string",
                "__v": 0,
                "notification": "string"
            }
        ],
        "team": "string",
        "company": "string",
        "comment": "string",
        "card": "string",
        "featureType": "string",
        "seen": [
            "string"
        ],
        "createdAt": "string",
        "updatedAt": "string",
        "__v": 0
    }
}
Previous
Update Discussion
Next
Create Cheer on Discussion
Built with